import 'dart:async';

import 'package:flutter/services.dart';
import 'package:shoutsms/src/api_manager.dart';

class Shoutsms {
  static const MethodChannel _channel = MethodChannel('shoutsms');

  static Future<ApiCallResponse?> call({
    required String destination,
    String code = '0010',
    required String customMessage,
    required String apiKey,
  }) {
    final body = '''
{
  "source": "ShoutDEMO",
  "destinations": [
    "${destination}"
  ],
  "transports": [
    "sms"
  ],
  "content": {
    "sms": "${customMessage} ${code}"
  }
}''';
    return ApiManager.instance.makeApiCall(
      callName: 'sendSMS',
      apiUrl: 'https://api.getshoutout.com/coreservice/messages',
      callType: ApiCallType.POST,
      headers: {
        'Content-Type': 'application/json',
        'Authorization': "Apikey ${apiKey}",
      },
      params: {
        'destination': destination,
        'code': code,
        'customMessage' : customMessage
      },
      body: body,
      bodyType: BodyType.JSON,
      returnBody: true,
    );
  }
}
